<?php
/**
 * @version		$Id: component.php 16465 2010-04-26 01:46:24Z eddieajau $
 * @package		Joomla.Site
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die;

if(JRequest::getVar('direction')=='rtl'){
		setcookie("djdirection", "rtl");
		$direction='rtl';
	}else if(JRequest::getVar('direction')=='ltr'){
		setcookie("djdirection", "ltr");
		$direction='ltr';
	}else{
		$direction=JRequest::getVar('djdirection',$this->direction);
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $direction; ?>">
<head>
	<jdoc:include type="head" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/jm-home-deco/css/template.css" type="text/css"/>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/jm-home-deco/css/print.css" type="text/css"/>

<?php if($direction == 'rtl'): ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/jm-home-deco/css/rtl.css" type="text/css" />
<?php endif; ?>

</head>
<body class="contentpane">
	<div id="all">
	<div id="main">
		<jdoc:include type="message" />
		<jdoc:include type="component" />
		</div>
	</div>
</body>
</html>
